[pybind11] 07/08: Add DEP-8 tests for clang

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Sat Mar 25 13:50:04 UTC 2017


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch experimental
in repository pybind11.

commit cc53e008653114ea3cc620d307656fcb4a3145fc
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Fri Mar 24 22:30:53 2017 +0000

    Add DEP-8 tests for clang
---
 debian/tests/control | 32 ++++++++++++++++++++++++++++----
 1 file changed, 28 insertions(+), 4 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 03f0670..38490b5 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -3,11 +3,35 @@ Test-Command: set -e
  ; for py in $(pyversions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
- ; cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
+ ; CC=gcc CXX=g++ cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
  ; cmake --build .
  ; $py -c "import example; assert(example.add(1, 2) == 3)"
  ; done
-Depends: cmake, g++ | c++-compiler, pybind11-dev, python-all-dev
+Depends: cmake, g++, pybind11-dev, python-all-dev
+Restrictions: allow-stderr
+
+Test-Command: set -e
+ ; cp debian/tests/example/* "$AUTOPKGTEST_TMP"
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; CC=clang CXX=clang++ cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
+ ; cmake --build .
+ ; $py -c "import example; assert(example.add(1, 2) == 3)"
+ ; done
+Depends: clang, cmake, pybind11-dev, python-all-dev
+Restrictions: allow-stderr
+
+Test-Command: set -e
+ ; cp debian/tests/example/* "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; CC=gcc CXX=g++ cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
+ ; cmake --build .
+ ; $py -c "import example; assert(example.add(1, 2) == 3)"
+ ; done
+Depends: cmake, g++, pybind11-dev, python3-all-dev
 Restrictions: allow-stderr
 
 Test-Command: set -e
@@ -15,11 +39,11 @@ Test-Command: set -e
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
- ; cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
+ ; CC=clang CXX=clang++ cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
  ; cmake --build .
  ; $py -c "import example; assert(example.add(1, 2) == 3)"
  ; done
-Depends: cmake, g++ | c++-compiler, pybind11-dev, python3-all-dev
+Depends: clang, cmake, pybind11-dev, python3-all-dev
 Restrictions: allow-stderr
 
 Test-Command: set -e

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pybind11.git



More information about the debian-science-commits mailing list